--locals only in this .lua
local g=love.graphics
local k=love.keyboard.isDown
local m=love.mouse

local color={255,255,255,255}
local textcolor={0,255,0,255}

p={}

--local Image
local up = g.newImage('img/up.png')
up:setFilter('nearest','nearest')
local down = g.newImage('img/down.png')
down:setFilter('nearest','nearest')


function p:load()	
	--variables	
    x = 10
    y = 10   
    t = false
	M =false
end

function p:update(dt)
	--locals inside function1
	local mouseX= m.getX()
	local mouseY= m.getY()
	
	--change color ball
	if  mouseX >= x and mouseX < x + up:getWidth()
    and mouseY >= y and mouseY < y + up:getHeight() then
        M=true
	else
		M=false
    end
end

function p:draw()
	g.setColor(color)
	if M == true then
		g.draw(up, x, y)	
	elseif M == false then
		g.draw(down, x, y)	
	end
	
	--print
    if t then
		g.setColor(textcolor)
        g.print('(state ) and or (Any Action)',10,50)     
    end
end

function p:mousepressed(mx, my, button)
	-- Print on screen
    if button == "l"
    and mx >= x and mx < x + up:getWidth()
    and my >= y and my < y + up:getHeight() then
        t = not t 
    end
end
